## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiImageStartToken

### Document::ezcDocumentWikiImageStartToken

### Class ezcDocumentWikiImageStartToken

Struct for Wiki document image tag open marker tokens

Source for this file: /Document/src/document/wiki/token/image_start.php

    ezcBaseStruct
       |
       --ezcDocumentWikiToken
          |
          --ezcDocumentWikiInlineMarkupToken
             |
             --ezcDocumentWikiImageStartToken

Version: | //autogen//

### Member Variables

public string | `$alignement = null` Image alignement
public int | `$height = null` Image height
public int | `$width = null` Image width

### Inherited Member Variables

From ezcDocumentWikiToken
public | `ezcDocumentWikiToken::$content`
public | `ezcDocumentWikiToken::$line`
public | `ezcDocumentWikiToken::$position`

### Method Summary

public array | `getImageParameterOrder( $count )` Get image parameter order

### Methods

#### getImageParameterOrder

array getImageParameterOrder( int $count )

Get image parameter order

Images may have any amount of parameters and the order may not be the same for each amount. This method should return an ordered list of parameter names for the given amount of parameters.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$count` | int |

Documentation generated by phpDocumentor 1.4.3